Package org.picocontainer.containers

# Class TransientPicoContainer

java.lang.Object
org.picocontainer.DefaultPicoContainer
org.picocontainer.containers.TransientPicoContainer

All Implemented Interfaces:
  `Serializable`, `ComponentMonitorStrategy`, `Converting`, `Disposable`, `MutablePicoContainer`, `PicoContainer`, `Startable`

public class TransientPicoContainer extends DefaultPicoContainer

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.picocontainer.DefaultPicoContainer

`DefaultPicoContainer.KnowsContainerAdapter<T>, DefaultPicoContainer.LateInstance`

## Field Summary

### Fields inherited from class org.picocontainer.DefaultPicoContainer

`componentFactory, componentMonitor, lifecycleStrategy, orderedComponentAdapters`

## Constructor Summary

Constructors
Constructor
Description
`TransientPicoContainer()`
`TransientPicoContainer(ComponentFactory componentFactory, PicoContainer parent)`
`TransientPicoContainer(PicoContainer parent)`

## Method Summary

### Methods inherited from class org.picocontainer.DefaultPicoContainer

`accept, addAdapter, addAdapter, addAdapterInternal, addChildContainer, addComponent, addComponent, addConfig, as, change, changeMonitor, currentMonitor, decorateComponent, dispose, getComponent, getComponent, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponentAdapters, getComponentKeyToAdapterCache, getComponents, getComponents, getConverters, getLifecycleState, getModifiableComponentAdapterList, getName, getOrderedComponentAdapters, getParent, instantiateComponentAsIsStartable, makeChildContainer, potentiallyStartAdapter, removeChildContainer, removeComponent, removeComponentByInstance, setLifecycleState, setName, start, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransientPicoContainer

public TransientPicoContainer()

### TransientPicoContainer

public TransientPicoContainer(PicoContainer parent)

### TransientPicoContainer

public TransientPicoContainer(ComponentFactory componentFactory, PicoContainer parent)